(*************************************************************************)
(*                                                                       *)
(*                                OCaPIC                                 *)
(*                                                                       *)
(*            Benoit Vaugon, Université Pierre et Marie Curie            *)
(*                                                                       *)
(*    Ce fichier est distribué sous les termes de la licence CeCILL-B    *)
(*    décrite dans le fichier ../LICENCE.                                *)
(*                                                                       *)
(*************************************************************************)

(** System interface. *)

val word_size : int
(** Size of one word on the machine currently executing the Caml
    program, in bits: 16. *)

val max_string_length : int
(** Maximum length of a string: 509. *)

val max_array_length : int
(** Maximum length of an array: 255. *)
