(*************************************************************************)
(*                                                                       *)
(*                                OCaPIC                                 *)
(*                                                                       *)
(*            Benoit Vaugon, Université Pierre et Marie Curie            *)
(*                                                                       *)
(*    Ce fichier est distribué sous les termes de la licence CeCILL-B    *)
(*    décrite dans le fichier ../../../LICENCE.                          *)
(*                                                                       *)
(*************************************************************************)

type color_t = Black | White

type size_t = Minus | Small | Medium | Big

type goblet = { color : color_t ; size : size_t }

type action =
  | Add of goblet * int * int
  | Move of int * int * int * int
  | Nothing

type key =
  | Stack of color_t * int
  | Table of int * int
